# ApplicationFramework
TKPShape
PColPGeom2d

# PColPGeom2d_FieldOfHArray1OfCurve Class Reference

`#include <PColPGeom2d_FieldOfHArray1OfCurve.hxx>`

Inheritance diagram for PColPGeom2d_FieldOfHArray1OfCurve:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | PColPGeom2d_FieldOfHArray1OfCurve ()
Standard_EXPORT | PColPGeom2d_FieldOfHArray1OfCurve (const Standard_Integer Size)
Standard_EXPORT | PColPGeom2d_FieldOfHArray1OfCurve (const PColPGeom2d_FieldOfHArray1OfCurve &Varray)
Standard_EXPORT void | Resize (const Standard_Integer Size)
Standard_EXPORT void | Assign (const PColPGeom2d_FieldOfHArray1OfCurve &Other)
void | operator= (const PColPGeom2d_FieldOfHArray1OfCurve &Other)
Standard_EXPORT void | SetValue (const Standard_Integer Index, const Handle(PGeom2d_Curve)&Value)
Standard_EXPORT Handle_PGeom2d_Curve & | Value (const Standard_Integer Index) const
Handle_PGeom2d_Curve & | operator() (const Standard_Integer Index) const
Standard_EXPORT void | Destroy ()
| ~PColPGeom2d_FieldOfHArray1OfCurve ()

## Friends

Standard_EXPORT friend Handle_Standard_Type & | PColPGeom2d_FieldOfHArray1OfCurve_Type_ ()

## Constructor & Destructor Documentation

Standard_EXPORT PColPGeom2d_FieldOfHArray1OfCurve::PColPGeom2d_FieldOfHArray1OfCurve | ( |  | ) |

Standard_EXPORT PColPGeom2d_FieldOfHArray1OfCurve::PColPGeom2d_FieldOfHArray1OfCurve | ( | const Standard_Integer | Size | ) |

Standard_EXPORT PColPGeom2d_FieldOfHArray1OfCurve::PColPGeom2d_FieldOfHArray1OfCurve | ( | const PColPGeom2d_FieldOfHArray1OfCurve & | Varray | ) |

PColPGeom2d_FieldOfHArray1OfCurve::~PColPGeom2d_FieldOfHArray1OfCurve | ( |  | ) | `[inline]`

## Member Function Documentation

Standard_EXPORT void PColPGeom2d_FieldOfHArray1OfCurve::Assign | ( | const PColPGeom2d_FieldOfHArray1OfCurve & | Other | ) |

Standard_EXPORT void PColPGeom2d_FieldOfHArray1OfCurve::Destroy | ( |  | ) |

| Reimplemented from DBC_BaseArray.

void PColPGeom2d_FieldOfHArray1OfCurve::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from DBC_BaseArray.

void* PColPGeom2d_FieldOfHArray1OfCurve::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from DBC_BaseArray.

void* PColPGeom2d_FieldOfHArray1OfCurve::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from DBC_BaseArray.

Handle_PGeom2d_Curve& PColPGeom2d_FieldOfHArray1OfCurve::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

void PColPGeom2d_FieldOfHArray1OfCurve::operator= | ( | const PColPGeom2d_FieldOfHArray1OfCurve & | Other | ) | `[inline]`

Standard_EXPORT void PColPGeom2d_FieldOfHArray1OfCurve::Resize | ( | const Standard_Integer | Size | ) |

Standard_EXPORT void PColPGeom2d_FieldOfHArray1OfCurve::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(PGeom2d_Curve)& | Value
| ) |

Standard_EXPORT Handle_PGeom2d_Curve& PColPGeom2d_FieldOfHArray1OfCurve::Value | ( | const Standard_Integer | Index | ) | const

## Friends And Related Function Documentation

Standard_EXPORT friend Handle_Standard_Type& PColPGeom2d_FieldOfHArray1OfCurve_Type_ | ( |  | ) | `[friend]`

The documentation for this class was generated from the following file:

- PColPGeom2d_FieldOfHArray1OfCurve.hxx